#ifndef HOMEKIT_MQTT_PAYLOAD_H
#define HOMEKIT_MQTT_PAYLOAD_H

#include <unistd.h>

namespace homekit::mqtt {

struct MqttPayload {
    virtual ~MqttPayload() = default;
    virtual size_t size() const = 0;
};

}

#endif